<?xml version="1.0" encoding="UTF-8"?>

<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            targetNamespace="http://xml.netbeans.org/schema/TenderUnlockingPolicy"
            xmlns:tns="http://xml.netbeans.org/schema/TenderUnlockingPolicy"
            elementFormDefault="qualified">
    <xsd:complexType name="tenderUnlockingPolicyRequest">
        <xsd:sequence>
            <xsd:element name="actorSignature" type="xsd:string"/>
            <xsd:element name="action" type="xsd:string"/>
            <xsd:element name="callForTenderID" type="xsd:int"/>
            
            <xsd:element name="phase" type="xsd:string" minOccurs="0" />
            <xsd:element name="phaseUnlocked" type="xsd:boolean" minOccurs="0" />
            <xsd:element name="evaluationCompleted" type="xsd:boolean" minOccurs="0" />
            <xsd:element name="phaseStarts" type="xsd:dateTime" minOccurs="0" />
            <xsd:element name="phaseEnds" type="xsd:dateTime" minOccurs="0" />
            
        </xsd:sequence>
    </xsd:complexType>
    
    <xsd:complexType name="phaseRecordType">
        <xsd:sequence>
            <xsd:element name="phaseID" type="xsd:int"/>
            <xsd:element name="phase" type="xsd:string"/>
            <xsd:element name="phaseUnlocked" type="xsd:boolean"/>
            <xsd:element name="evaluationCompleted" type="xsd:boolean"/>
            <xsd:element name="phaseStarts" type="xsd:dateTime" minOccurs="0" />
            <xsd:element name="phaseEnds" type="xsd:dateTime" minOccurs="0" />                    
        </xsd:sequence>
    </xsd:complexType>
    
    <xsd:complexType name="tenderUnlockingPolicyResponse">
        <xsd:sequence>
            <xsd:element name="return" type="xsd:boolean"/>
            <xsd:element name="returnMessage" type="xsd:string"/> 
            <xsd:element name="phaseRecord" type="tns:phaseRecordType" minOccurs="0" maxOccurs="unbounded"/>
        </xsd:sequence>
    </xsd:complexType>
    
    <xsd:element name="tenderUnlockingPolicyRequest" type="tns:tenderUnlockingPolicyRequest"/>
    <xsd:element name="tenderUnlockingPolicyResponse" type="tns:tenderUnlockingPolicyResponse"/>
</xsd:schema>
